# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSException Class Reference

This exception is raised when a specific CSS operation is impossible to perform. More...

`#include <css_stylesheet.h>`

List of all members.

## Public Types

enum | ExceptionCode { SYNTAX_ERR = 0, INVALID_MODIFICATION_ERR = 1, _EXCEPTION_OFFSET = 1000 }

## Public Member Functions

| CSSException (unsigned short _code)
| CSSException (const CSSException &other)
CSSException & | operator= (const CSSException &other)

## Public Attributes

unsigned short | code
| An integer indicating the type of error generated.

## Detailed Description

This exception is raised when a specific CSS operation is impossible to perform.

Definition at line 173 of file css_stylesheet.h.

## Member Data Documentation

unsigned short DOM::CSSException::code

| An integer indicating the type of error generated. Definition at line 187 of file css_stylesheet.h.

The documentation for this class was generated from the following file:

- css_stylesheet.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001